# PSF-LoginServer - master - net.psforever.packet.game.objectcreate.BasicCharacterData
PSF - LoginServer - master - net.psforever.packet.game.objectcreate.BasicCharacterData
Keywords: PSF LoginServer master net.psforever.packet.game.objectcreate.BasicCharacterData

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package packet
  Definition Classes
    psforever
-  package game
  Definition Classes
    packet
-  package objectcreate
  Definition Classes
    game
- AegisShieldGeneratorData
- AmmoBoxData
- BasicCharacterData
- CaptureFlagData
- CharacterAppearanceA
- CharacterAppearanceB
- CharacterAppearanceData
- CharacterData
- CommonFieldData
- CommonFieldDataExtra
- CommonFieldDataWithPlacement
- ConstructorData
- DCDExtra1
- DCDExtra2
- DestroyedVehicleData
- DetailedAmmoBoxData
- DetailedCharacterA
- DetailedCharacterB
- DetailedCharacterData
- DetailedCommandDetonaterData
- DetailedConstructionToolData
- DetailedLockerContainerData
- DetailedPlayerData
- DetailedREKData
- DetailedWeaponData
- DrawnSlot
- DroppedItemData
- DroppodData
- FlightPhysics
- HandheldData
- ImplantEffects
- ImplantEntry
- InternalSlot
- InventoryData
- InventoryItemData
- LargeDeployableData
- LockerContainerData
- MountItem
- ObjectClass
- ObjectCreateBase
- ObjectCreateMessageParent
- OneMannedFieldTurretData
- OrbitalShuttleData
- PlacementData
- PlayerData
- Prefab
- REKData
- RemoteProjectileData
- RemoteProjectiles
- RibbonBars
- SmallTurretData
- SpecificVehicleData
- StreamBitSize
- TRAPData
- TelepadDeployableData
- TerminalData
- UniformStyle
- UtilityVehicleData
- VariantVehicleData
- VehicleData
- VehicleFormat
- WeaponData

c

net.psforever.packet.game.objectcreate

# BasicCharacterData

###

#### final case class BasicCharacterData(name: String, faction: types.PlanetSideEmpire.Value, sex: CharacterSex, head: Int, voice: types.CharacterVoice.Value) extends Product with Serializable

A part of a representation of the avatar portion of `ObjectCreateMessage` packet data.
This partition of the data stream contains information used to represent how the player's avatar is presented. This appearance coincides with the data available from the `CharacterCreateRequestMessage` packet.

name

  the unique name of the avatar; minimum of two characters

faction

  the empire to which the avatar belongs

sex

  whether the avatar is `Male` or `Female`

head

  the avatar's face and hair; by row and column on the character creation screen, the high nibble is the row and the low nibble is the column

voice

  the avatar's voice selection

Source
  BasicCharacterData.scala
See also

  `PlanetSideEmpire`
  `CharacterSex`

Linear Supertypes
Serializable, Product, Equals, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. BasicCharacterData
2. Serializable
3. Product
4. Equals
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new BasicCharacterData(name: String, faction: types.PlanetSideEmpire.Value, sex: CharacterSex, head: Int, voice: types.CharacterVoice.Value)

   name

     the unique name of the avatar; minimum of two characters

   faction

     the empire to which the avatar belongs

   sex

     whether the avatar is `Male` or `Female`

   head

     the avatar's face and hair; by row and column on the character creation screen, the high nibble is the row and the low nibble is the column

   voice

     the avatar's voice selection

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  val faction: types.PlanetSideEmpire.Value
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  val head: Int
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  val name: String
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  def productElementNames: Iterator[String]
    Definition Classes
      Product
17.  val sex: CharacterSex
18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  val voice: types.CharacterVoice.Value
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped